View Issue Details

IDProjectCategoryView StatusLast Update
0030696FPCFCLpublic2016-10-09 23:33
ReporterMichalis KamburelisAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86-64OSDebian GNU/LinuxOS Version(testing)
Product Version3.1.1Product Buildfrom around 2016/08/20 
Target Version4.0.0Fixed in Version3.1.1 
Summary0030696: fcl-passrc parser fails to parse "static" directive at class fields
DescriptionParser from fcl-passrc fails to parse "static", like in this code:

  TMyClass = class
    OnCreate: Integer; static;
  end;

FPC parses it Ok.

$ fpc -Mobjfpc static_in_class.pas
$ fpc test_passrc.lpr
$ ./test_passrc static_in_class.pas
An unhandled exception occurred at $0000000000474E75:
EParserError: Expected "," or ":" at token ";" in file static_in_class.pas at line 3 column 30

To reproduce: use my test program from http://wiki.freepascal.org/fcl-passrc (attached also to this bugreport for comfort:) and run it on static_in_class.pas .
TagsNo tags attached.
Fixed in Revision34668
FPCOldBugId
FPCTarget
Attached Files

Activities

Michalis Kamburelis

2016-10-05 04:15

reporter  

static_in_class.pas (74 bytes)
type
  TMyClass = class
    OnCreate: Integer; static;
  end;

begin
end.
static_in_class.pas (74 bytes)

Michalis Kamburelis

2016-10-05 04:15

reporter  

test_passrc.lpr (2,180 bytes)

Thaddy de Koning

2016-10-05 11:04

reporter   ~0094965

Last edited: 2016-10-05 11:04

View 2 revisions

Note that there has been quite a lot of new code regarding this after August.
Can you test with recent trunk? Like 34600 + ?

Thaddy de Koning

2016-10-05 11:09

reporter   ~0094966

Last edited: 2016-10-05 11:14

View 3 revisions

e.g. patches applied in 34569,Tue Sep 27 19:15:27 2016 and 34555, Thu Sep 22 11:41:09 2016

A general note: if you report on bugs in trunk make sure you have the latest trunk, not an old one. Otherwise it is pretty pointless.

Michalis Kamburelis

2016-10-05 16:40

reporter   ~0094970

Last edited: 2016-10-05 16:40

View 2 revisions

Sorry, I didn't think that ~ 1 month delay of my trunk will make much difference for fcl-passrc bugreport. If I underestimated the amount of work happening, it makes me happy!

I retested all my recent fcl-passrc bugreports (0030693 .. 0030696) with latest FPC trunk as of now (revision 34629), and yes, all the bugs are still there.

Thaddy de Koning

2016-10-05 17:24

reporter   ~0094975

Last edited: 2016-10-05 17:27

View 2 revisions

Yes, I can also reproduce them. But still my remark is valid for bugs in trunk.
Thx! Good job.

Michael Van Canneyt

2016-10-08 17:52

administrator   ~0095029

Fixed, thanks for reporting.

Michalis Kamburelis

2016-10-09 23:33

reporter   ~0095086

Tested, thank you!

Issue History

Date Modified Username Field Change
2016-10-05 04:15 Michalis Kamburelis New Issue
2016-10-05 04:15 Michalis Kamburelis File Added: static_in_class.pas
2016-10-05 04:15 Michalis Kamburelis File Added: test_passrc.lpr
2016-10-05 11:04 Thaddy de Koning Note Added: 0094965
2016-10-05 11:04 Thaddy de Koning Note Edited: 0094965 View Revisions
2016-10-05 11:09 Thaddy de Koning Note Added: 0094966
2016-10-05 11:10 Thaddy de Koning Note Edited: 0094966 View Revisions
2016-10-05 11:14 Thaddy de Koning Note Edited: 0094966 View Revisions
2016-10-05 16:40 Michalis Kamburelis Note Added: 0094970
2016-10-05 16:40 Michalis Kamburelis Note Edited: 0094970 View Revisions
2016-10-05 17:24 Thaddy de Koning Note Added: 0094975
2016-10-05 17:27 Thaddy de Koning Note Edited: 0094975 View Revisions
2016-10-08 16:37 Michael Van Canneyt Assigned To => Michael Van Canneyt
2016-10-08 16:37 Michael Van Canneyt Status new => assigned
2016-10-08 17:52 Michael Van Canneyt Fixed in Revision => 34668
2016-10-08 17:52 Michael Van Canneyt Note Added: 0095029
2016-10-08 17:52 Michael Van Canneyt Status assigned => resolved
2016-10-08 17:52 Michael Van Canneyt Fixed in Version => 3.1.1
2016-10-08 17:52 Michael Van Canneyt Resolution open => fixed
2016-10-08 17:52 Michael Van Canneyt Target Version => 4.0.0
2016-10-09 23:33 Michalis Kamburelis Note Added: 0095086
2016-10-09 23:33 Michalis Kamburelis Status resolved => closed